Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ClusterServer Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addControlMapping
def | addNamedObjectMapping
def | controlObjectTask
def | handleCamFrustum
def | handleCamMovement
def | handleCamOffset
def | handleCommandString
def | handleDatagram
def | handleMessageQueue
def | handleNamedMovement
def | handleSelectedMovement
def | handleTimeData
def | listenerPollTask
def | moveObject
def | redoSortedPriorities
def | removeControlMapping
def | removeObjectMapping
def | sendNamedMovementDone
def | sendSwapReady
def | setControlMappingOffset
def | startControlObjectTask
def | startListenerPollTask
def | startReaderPollTask
def | startSwapCoordinator
def | swapCoordinatorTask
## Public Attributes
| camera
| cameraJig
| controlMappings
| controlOffsets
| controlPriorities
| cw
| daemon
| fPosReceived
| lastConnection
| lens
| messageQueue
| msgHandler
| objectHasColor
| objectMappings
| qcl
| qcm
| qcr
| sortedControlMappings
| tcpRendezvous
## Static Public Attributes
int | MSG_NUM = 2000000
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("ClusterServer")

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | cameraJig,
|  |  | camera
| ) |  |

## Member Function Documentation

def addControlMapping | ( |  | self,
|  |  | objectName,
|  |  | controlledName,
|  |  | offset = `None`,
|  |  | priority = `0`
| ) |  |

def addNamedObjectMapping | ( |  | self,
|  |  | object,
|  |  | name,
|  |  | hasColor = `True`,
|  |  | priority = `0`
| ) |  |

def controlObjectTask | ( |  | self,
|  |  | task
| ) |  |

def handleCamFrustum | ( |  | self,
|  |  | dgi
| ) |  |

    Adjust camera frustum based on parameters sent by client

def handleCamMovement | ( |  | self,
|  |  | dgi
| ) |  |

    Update cameraJig position to reflect latest position

def handleCamOffset | ( |  | self,
|  |  | dgi
| ) |  |

    Set offset of camera from cameraJig

def handleCommandString | ( |  | self,
|  |  | dgi
| ) |  |

    Handle arbitrary command string from client

def handleDatagram | ( |  | self,
|  |  | dgi,
|  |  | type
| ) |  |

    Process a datagram depending upon type flag

def handleMessageQueue | ( |  | self | ) |

def handleNamedMovement | ( |  | self,
|  |  | data
| ) |  |

    Update cameraJig position to reflect latest position

def handleSelectedMovement | ( |  | self,
|  |  | dgi
| ) |  |

    Update cameraJig position to reflect latest position

def handleTimeData | ( |  | self,
|  |  | dgi
| ) |  |

    Update cameraJig position to reflect latest position

def listenerPollTask | ( |  | self,
|  |  | task
| ) |  |

    Task to listen for a new connection from the client

def moveObject | ( |  | self,
|  |  | nodePath,
|  |  | object,
|  |  | offset,
|  |  | hasColor
| ) |  |

def redoSortedPriorities | ( |  | self | ) |

def removeControlMapping | ( |  | self,
|  |  | name
| ) |  |

def removeObjectMapping | ( |  | self,
|  |  | name
| ) |  |

def sendNamedMovementDone | ( |  | self | ) |

def sendSwapReady | ( |  | self | ) |

def setControlMappingOffset | ( |  | self,
|  |  | objectName,
|  |  | offset
| ) |  |

def startControlObjectTask | ( |  | self | ) |

def startListenerPollTask | ( |  | self | ) |

def startReaderPollTask | ( |  | self | ) |

    Task to handle datagrams from client

def startSwapCoordinator | ( |  | self | ) |

def swapCoordinatorTask | ( |  | self,
|  |  | task
| ) |  |

## Member Data Documentation

camera

cameraJig

controlMappings

controlOffsets

controlPriorities

cw

daemon

fPosReceived

lastConnection

lens

messageQueue

int MSG_NUM = 2000000`[static]`

msgHandler

tuple notify = DirectNotifyGlobal.directNotify.newCategory("ClusterServer")`[static]`

objectHasColor

objectMappings

qcl

qcm

qcr

sortedControlMappings

tcpRendezvous

All Classes Namespaces Functions Variables Enumerations Enumerator Properties